Commit 78351f7e authored by Giannis Kopanas's avatar Giannis Kopanas Committed by Alexandros Georgantas

chore(pubsweet): update webpack and babel

parent 7c1ae868
{
"presets": [
"env",
"react",
"stage-2"
"@babel/preset-env",
"@babel/preset-react"
],
"plugins": [
["@babel/plugin-proposal-decorators", { "legacy": true }],
"@babel/plugin-proposal-function-sent",
"@babel/plugin-proposal-export-namespace-from",
"@babel/plugin-proposal-numeric-separator",
"@babel/plugin-proposal-throw-expressions",
"@babel/plugin-proposal-class-properties"
]
}
\ No newline at end of file
}
......@@ -46,7 +46,7 @@ import { hot } from 'react-hot-loader'
import createHistory from 'history/createBrowserHistory'
import { configureStore, Root } from 'pubsweet-client'
import { Root } from 'pubsweet-client'
import theme from './theme'
import routes from './routes'
......@@ -54,12 +54,11 @@ import routes from './routes'
console.log('the', theme)
const history = createHistory()
const store = configureStore(history, {})
const rootEl = document.getElementById('root')
ReactDOM.render(
<Root history={history} routes={routes} store={store} theme={theme} />,
<Root history={history} routes={routes} theme={theme} />,
rootEl,
)
......
......@@ -19,16 +19,16 @@
"license": "MIT",
"version": "1.1.0",
"dependencies": {
"@pubsweet/coko-theme": "^5.0.7",
"@pubsweet/component-polling-client": "^0.0.3",
"@pubsweet/component-polling-server": "^0.0.9",
"@pubsweet/db-manager": "^2.3.0",
"@pubsweet/coko-theme": "^5.0.7",
"@pubsweet/logger": "^0.2.2",
"@pubsweet/ui": "^9.1.3",
"@pubsweet/ui-toolkit": "^2.0.7",
"@pubsweet/model-fragment": "^2.0.2",
"@pubsweet/model-team": "^2.0.0",
"@pubsweet/model-user": "^4.0.0",
"@pubsweet/model-fragment": "^2.0.2",
"@pubsweet/ui": "^9.1.3",
"@pubsweet/ui-toolkit": "^2.0.7",
"authsome": "^0.1.0",
"font-awesome": "4.7.0",
"highlight.js": "^9.13.1",
......@@ -51,7 +51,7 @@
"pubsweet-component-password-reset-backend": "1.0.0",
"pubsweet-component-password-reset-frontend": "1.0.0",
"pubsweet-component-theme-editoria": "^0.0.5",
"pubsweet-component-users-manager": "1.0.0",
"pubsweet-component-users-manager": "^3.0.0",
"pubsweet-component-vivliostyle-viewer": "^1.0.1",
"pubsweet-component-wax": "^0.6.16",
"pubsweet-server": "^13.0.0",
......@@ -62,31 +62,35 @@
"react-dnd": "2.5.4",
"react-dnd-html5-backend": "2.5.4",
"react-dom": "^16.2.0",
"react-redux": "5.0.4",
"react-router-bootstrap": "0.24.4",
"react-router-dom": "^4.3.1",
"recompose": "^0.26.0",
"redux": "3.6.0",
"styled-components": "^4.1.2",
"typeface-fira-sans": "^0.0.43",
"waait": "^1.0.2"
},
"devDependencies": {
"@babel/core": "^7.0.0",
"@babel/plugin-proposal-class-properties": "^7.0.0",
"@babel/plugin-proposal-decorators": "^7.0.0",
"@babel/plugin-proposal-export-namespace-from": "^7.0.0",
"@babel/plugin-proposal-function-sent": "^7.0.0",
"@babel/plugin-proposal-json-strings": "^7.0.0",
"@babel/plugin-proposal-numeric-separator": "^7.0.0",
"@babel/plugin-proposal-throw-expressions": "^7.0.0",
"@babel/plugin-syntax-dynamic-import": "^7.0.0",
"@babel/plugin-syntax-import-meta": "^7.0.0",
"@babel/preset-env": "^7.0.0",
"@babel/preset-react": "^7.0.0",
"@commitlint/cli": "^6.0.5",
"@commitlint/config-conventional": "^6.0.4",
"app-module-path": "^2.2.0",
"autobind-decorator": "^1.3.4",
"babel-core": "^6.26.0",
"babel-eslint": "^8.0.3",
"babel-loader": "^7.1.2",
"babel-plugin-transform-decorators-legacy": "^1.3.4",
"babel-preset-babili": "0.0.12",
"babel-preset-env": "^1.6.0",
"babel-preset-es2015": "^6.24.1",
"babel-eslint": "^9.0.0",
"babel-jest": "^23.4.2",
"babel-loader": "^8.0.0",
"babel-preset-es2015-native-modules": "^6.9.4",
"babel-preset-minify": "^0.3.0",
"babel-preset-react": "^6.24.1",
"babel-preset-stage-2": "^6.24.1",
"babili-webpack-plugin": "^0.0.11",
"bootstrap-sass": "^3.3.7",
"clean-webpack-plugin": "^0.1.17",
......
......@@ -14,11 +14,13 @@ module.exports = [
loader: 'babel-loader',
options: {
presets: [
[require('babel-preset-env'), { modules: false }],
require('babel-preset-react'),
require('babel-preset-stage-2'),
[require('@babel/preset-env'), { modules: false }],
require('@babel/preset-react'),
],
plugins: [
require('react-hot-loader/babel'),
require('@babel/plugin-proposal-class-properties'),
],
plugins: [require('react-hot-loader/babel')],
},
},
......
......@@ -16,7 +16,7 @@ module.exports = [
options: {
presets: [
[require('babel-preset-env'), { modules: false }],
require('babel-preset-react'),
require('@babel/preset-react'),
require('babel-preset-stage-2'),
],
},
......
......@@ -10,6 +10,7 @@ const resolve = require('./common-resolve')
module.exports = [
{
mode: 'development',
name: 'app',
watch: true,
target: 'web',
......
......@@ -15,6 +15,7 @@ const resolve = require('./common-resolve')
module.exports = [
{
// The configuration for the client
mode: 'production',
name: 'app',
target: 'web',
context: path.join(__dirname, '..', 'app'),
......
This diff is collapsed.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment